summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-08-05 21:10:45 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-08-05 21:10:45 +0000
commit8420fee1d598c766d935d5f5b738da8dcc2cc0d8 (patch)
treeaac7eb47df589509c07f6d8364d56baa7e27952f /eclass
parentapply fix from Martin von Gagern #142264 / #142852 (diff)
downloadhistorical-8420fee1d598c766d935d5f5b738da8dcc2cc0d8.tar.gz
historical-8420fee1d598c766d935d5f5b738da8dcc2cc0d8.tar.bz2
historical-8420fee1d598c766d935d5f5b738da8dcc2cc0d8.zip
Added accessor methods for current vm, java-pkg_get-current-vm. Added metho,d java-pkg_current-vm-matches, which checks current vm against a list of possible vms.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/java-utils-2.eclass19
1 files changed, 19 insertions, 0 deletions
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index 444b88a38cfe..ab0f19ed1150 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -1053,6 +1053,19 @@ java-pkg_is-vm-version-ge() {
fi
}
+java-pkg_set-current-vm() {
+ export GENTOO_VM=${1}
+}
+
+java-pkg_get-current-vm() {
+ echo ${GENTOO_VM}
+}
+
+java-pkg_current-vm-matches() {
+ hasq java-pkg_get-currenv-vm ${@}
+ return $?
+}
+
# ------------------------------------------------------------------------------
# @ebuild-function java-pkg_get-source
#
@@ -1204,6 +1217,12 @@ java-pkg_ensure-gcj() {
eant() {
debug-print-function ${FUNCNAME} $*
+ # FIXME get this working
+# if is-java-strict && [[ ! ${DEPEND} =~ "dev-java/ant" ]]; then
+# java-pkg_announce-qa-violation \
+# "Using eant, but not depending on dev-java/ant or dev-java/ant-core"
+# fi
+
local antflags
java-pkg_init-compiler_
local compiler="${GENTOO_COMPILER}"